Difference between revisions of "FEM Analysis/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "{{GuiCommand/it|Name=FEM Analysis|Name/it=Analisi FEM|MenuLocation=FEM → Contenitore analisi||Workbenches=FEM|Shortcut=N,A|SeeAlso=FEM_tutorial/it|Tut...")
(Updating to match new version of source page)
 
(35 intermediate revisions by 2 users not shown)
Line 1: Line 1:
{{GuiCommand/it|Name=FEM Analysis|Name/it=Analisi FEM|MenuLocation=FEM → Contenitore analisi||Workbenches=[[Fem Workbench/it|FEM]]|Shortcut=N,A|SeeAlso=[[FEM_tutorial/it|Tutorial FEM]]}}
+
<languages/>
 +
{{Docnav/it||[[FEM_MaterialSolid/it|Materiale per solido]]|[[FEM_Module/it|FEM]]|IconC=Workbench_FEM.svg|IconR=FEM_MaterialSolid.png}}
 +
 
 +
{{GuiCommand/it|Name=FEM Analysis|Name/it=Analisi FEM|MenuLocation=Modello → Contenitore analisi||Workbenches=[[FEM Module/it|FEM]]|Shortcut=N,A|SeeAlso=[[FEM_tutorial/it|Tutorial FEM]]}}
 +
 
 +
==Descrizione==
 +
 
 +
Analisi FEM può essere visto come il contenitore di tutti gli oggetti di una Analisi agli elementi finiti. È obbligatorio avere un contenitore Analisi che contenga tutti gli oggetti necessari. Per poter eseguire un'analisi meccanica serve almeno uno dei seguenti oggetti:
 +
* [[FEM_MaterialSolid/it| materiale]]
 +
* [[FEM_ConstraintFixed/it| vincolo fissaggio]]
 +
* [[FEM_ConstraintForce/it | vincolo forza]] oppure [[FEM_ConstraintPressure/it | vincolo pressione]]
  
==Description==
 
The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have a analysis container which holds all the needed objects. At least one of the following objects is needed for a mechanical analysis:
 
* [[Fem_MechanicalMaterial| material]]
 
* [[Fem_ConstraintFixed| fixed constraint]]
 
* [[Fem_ConstraintForce| force constraint]] or [[Fem_ConstraintPressure| pressure constraint]]
 
  
 +
==Utilizzo==
  
==How to use==
+
# Premere il pulsante {{KEY|[[Image:FEM_Analysis.png|24px]] [[FEM_Analysis/it|Analisi]]}}, oppure i tasti {{KEY|N}} e {{KEY|A}}. Viene creata e attivata una nuova Analisi.
# Press the {{KEY|[[Image:FEM_Analysis.png|16px]] [[FEM_Analysis|Analysis container]]}} button, or press {{KEY|N}} then {{KEY|A}} keys. A new Analysis is created and set to active.
+
# Nel contenitore Analisi si possono aggiungere o rimuovere gli oggetti con azioni drag and drop.
# Other objects could be added or removed to the analysis container by drag and drop.
+
# Per aggiungere nuovi oggetti FEM al documento l'analisi deve essere attiva. Fare doppio clic sull'analisi per attivarla.
# To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.
 
  
  
==Options==
+
==Opzioni==
* Up to date there is no option to choose.
 
* A frequency analysis in in development. See [http://forum.freecadweb.org/viewtopic.php?f=18&t=12189] for more informations.
 
  
 +
* Per ora non ci sono opzioni.
 +
* L'analisi in frequenza è in sviluppo. Vedere [http://forum.freecadweb.org/viewtopic.php?f=18&t=12189] per maggiori informazioni.
  
==Properties==
 
* {{PropertyData|OutpuDir}}: Specifies the working directory of the analysis
 
  
 +
==Proprietà==
  
==Scripting==
+
* {{PropertyData|OutpuDir}}: Specifica la directory di lavoro di Analisi
* new analysis
+
 
 +
 
 +
==Script==
 +
 
 +
La maggior parte di questo codice è deprecato nella versione 0.17.
 +
* nuova analisi
 
{{Code|code=
 
{{Code|code=
 
MechanicalAnalysis.makeMechanicalAnalysis( name )
 
MechanicalAnalysis.makeMechanicalAnalysis( name )
 
}}
 
}}
  
* add object to the analysis
+
* aggiungere un oggetto all'analisi
 
{{Code|code=
 
{{Code|code=
 
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
 
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
 
}}
 
}}
  
* remove object from the analysis
+
* rimuovere un oggetto dall'analisi
 
{{Code|code=
 
{{Code|code=
 
member = App.ActiveDocument.MechanicalAnalysis.Member
 
member = App.ActiveDocument.MechanicalAnalysis.Member
Line 41: Line 50:
 
}}
 
}}
  
 
+
Esempio:
Examples:
 
 
{{Code|code=
 
{{Code|code=
 
import MechanicalAnalysis
 
import MechanicalAnalysis
Line 56: Line 64:
 
App.ActiveDocument.MechanicalAnalysis.Member = member
 
App.ActiveDocument.MechanicalAnalysis.Member = member
 
}}
 
}}
 +
 
{{clear}}
 
{{clear}}
 +
{{Docnav/it||[[FEM_MaterialSolid/it|Materiale per solido]]|[[FEM_Module/it|FEM]]|IconC=Workbench_FEM.svg|IconR=FEM_MaterialSolid.png}}
  
 
+
{{FEM Tools navi{{#translation:}}}}
<languages/>
+
{{Userdocnavi{{#translation:}}}}

Latest revision as of 22:09, 22 February 2020

Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский
FreeCAD.png
Pagina successiva: Materiale per solido FEM MaterialSolid.png Arrow-right.svg

FEM Analysis.png Analisi FEM

Posizione nel menu
Modello → Contenitore analisi
Ambiente
FEM
Avvio veloce
N,A
Introdotto nella versione
-
Vedere anche
Tutorial FEM


Descrizione

Analisi FEM può essere visto come il contenitore di tutti gli oggetti di una Analisi agli elementi finiti. È obbligatorio avere un contenitore Analisi che contenga tutti gli oggetti necessari. Per poter eseguire un'analisi meccanica serve almeno uno dei seguenti oggetti:


Utilizzo

  1. Premere il pulsante FEM Analysis.png Analisi, oppure i tasti N e A. Viene creata e attivata una nuova Analisi.
  2. Nel contenitore Analisi si possono aggiungere o rimuovere gli oggetti con azioni drag and drop.
  3. Per aggiungere nuovi oggetti FEM al documento l'analisi deve essere attiva. Fare doppio clic sull'analisi per attivarla.


Opzioni

  • Per ora non ci sono opzioni.
  • L'analisi in frequenza è in sviluppo. Vedere [1] per maggiori informazioni.


Proprietà

  • DataOutpuDir: Specifica la directory di lavoro di Analisi


Script

La maggior parte di questo codice è deprecato nella versione 0.17.

  • nuova analisi
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • aggiungere un oggetto all'analisi
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • rimuovere un oggetto dall'analisi
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member

Esempio:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member
FreeCAD.png
Pagina successiva: Materiale per solido FEM MaterialSolid.png Arrow-right.svg